﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace Jemgine.MapEditor
{
	internal class Operation
	{
		internal enum ReturnCode
		{
			AddToUndoStack,
			DoNotAddToUndoStack
		}

		internal virtual ReturnCode Do(EditorState ES)
		{
			throw new NotImplementedException();
		}

		internal virtual void Undo(EditorState ES)
		{
			throw new NotImplementedException();
		}
	}
}
