﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Jemgine.Engine
{
	public class BufferedList<T>
	{
		private List<T> _front = new List<T>();
		private List<T> _back = new List<T>();

		public int Count { get { return _front.Count; } }
		public T this[int _index] { get { return _front[_index]; } }

		public void Swap()
		{
			List<T> _temp = _front;
			_front = _back;
			_back = _temp;
		}

		public void ClearFront()
		{
			_front.Clear();
		}

		public void Add(T _t)
		{
			_back.Add(_t);
		}
	}
}
