﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Jemgine.Engine
{
	public class Module
	{
		public Simulation Sim;

        public virtual void PreUpdate() { }
		public virtual void Update(float ElapsedSeconds) { }

        public virtual void BeginSimulation() { }
        public virtual void EndSimulation() { }

        public virtual void Draw(Renderer.RenderEffect Effect, Renderer.VertexPusher Pusher) { }
	}
}
