﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Content;

namespace Jemgine.Data
{
    [Engine.Component]
    public class Light : Engine.EntityComponent
    {
        [ContentSerializer(Optional = true)]
        public float Radius { get; set; }

        [ContentSerializer(Optional = true)]
        public Vector3 Color { get; set; }

        public Light()
        {
            Radius = 40.0f;
            Color = Vector3.One;
        }

    }
}
